Bug 55370 - RH 7.1 's Anaconda Installation Error on Dell I8100 Notebook
RH 7.1 's Anaconda Installation Error on Dell I8100 Notebook
Status: CLOSED DUPLICATE of bug 52600
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
: Security
Depends On:
  Show dependency treegraph
Reported: 2001-10-30 10:22 EST by Bhay
Modified: 2007-03-26 23:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-10-30 10:22:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bhay 2001-10-30 10:22:18 EST
Description of Problem:

 I recently bought a Dell Inspiron 8100 Notebook with pre-installed winME. 
I also bought a Linux minibook magazine, it was accompanied with 4 CD 
Linux Installation CDs with RedHat Version 7.1 And Mandrake 8.0 .. Before 
trying to install it into my Laptop, i tested the Linux Installation CDs 
by intstalling it into an Old Pentium 1 100Mgz 1GB running Windows 98SE 
and things went smoothly ( i was able choose booting from either Linux or 
Win98) ..  

  assuming things will work the same with Notebooks ,

 Notebook Configuration  :
   Dell Inspiron 8100  1GHz
   256 KB Memory
   32MB DDR 4AP NIDIA GEFORCE Video Adapter
   20 GB Hard Disk
   3com Network Card And Modem Internal, Combo
   DVD CDRW Optical Drive , Combo
 I started my installation proces by partitioning the Disk using non-
destructive FIPS utility that comes with the CDs. and subsequently 
reformatted and divide the Second partiotioned disk into pieces for RedHat 
allocation Using DISK DRUID.. the ff partitioned was the End Result

  /dev/hda1            6000MB  Windows FAT32
  /dev/hda2    /       1800MB  Linux Native
  /dev/hda3    /usr    2000MB  Linux Native
  /dev/hda4    /home   2000MB  Linux Native
  /dev/hda7            400MB   Linux Swap

  Linux root was mounted below the 1024 Cylinder as advised and the 
remains of 20GB was unallocated ..

 going through the installation process.. and choosing the minimum package 
installation , The FF error was encountered during the installation 
process within install Option  = Laptop

Traceback (innermost last):
  File "/usr/bin/anaconda", line 520, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1126, in run
    rc = apply (step[1](), args)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 551, in 
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1765, in 
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/fstab.py", line 537, in 
    isys.swapon (file)
File "/mnt/redhat/test/qa0408.4/i386/RedHat/instimage/usr/lib/anaconda/isys
.py", line 163, in swapon
    return _isys.swapon (path)
SystemError: (22, 'Invalid argument')

Local variables in innermost frame:
path: /tmp/swap/hda7


  I tried installing it through options like WORKSTATION, SERVER, CUSTOM 
but the same end result happens.. the  Installation process is aborted 
with the same error messages as above ...

 Am newbie to Linux and i would appreciate if someone can give me hand on 
this .. 

Comment 1 Brent Fox 2001-11-08 21:04:17 EST
Try booting with 'linux ide=nodma'.  This has worked for a number of other Dell
notebook owners.  This report is a duplicate of bug #52600.  Thanks for your report.

*** This bug has been marked as a duplicate of 52600 ***

Note You need to log in before you can comment on or make changes to this bug.